Bug 732593 - Enhance documentation for usage reposync --arch option
Enhance documentation for usage reposync --arch option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 23:05 EDT by Marcelo Moreira de Mello
Modified: 2014-01-21 18:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 732596 (view as bug list)
Environment:
Last Closed: 2012-08-07 14:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch proposed (2.53 KB, patch)
2011-08-22 23:10 EDT, Marcelo Moreira de Mello
no flags Details | Diff

  None (edit)
Description Marcelo Moreira de Mello 2011-08-22 23:05:20 EDT
Description of problem:
Documentation enhanced for usage reposync --arch option

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. reposync --help

  
Actual results:

# reposync --help

  -a ARCH, --arch=ARCH  act as if running the specified arch (default: current
                        arch, note: does not override $releasever)


Expected results:
# reposync --help
 
  -a ARCH, --arch=ARCH  act as if running the specified arch. (default:
                        current arch, note: does not override $releasever.
                        x86_64 is a superset for i*86.)
Comment 1 Marcelo Moreira de Mello 2011-08-22 23:10:55 EDT
Created attachment 519383 [details]
Patch proposed

Hello, 

 This patch give a better details for --arch usage. 

Added at man reposync
--------------------------
  
 # man reposync

   { SNIP } 

       -a ARCH, --arch=ARCH
              Act as if running the specified arch (default: current arch, note: does not override $releasever. x86_64 is a superset for i*86.).

   { SNIP }

       -l, --plugins
              Enable yum plugin support.

   { SNIP }

Examples:

       Sync all packages from the 'updates' repo to the repos directory excluding x86_64 arch. Edit /etc/yum.conf adding option exclude=*.x86_64. Then:
              reposync -p repos --repoid=updates
Comment 3 Marcelo Moreira de Mello 2011-08-22 23:22:18 EDT
Patch sent to upstream maillist for approval. 

 Mail thread: http://lists.baseurl.org/pipermail/yum-devel/2011-August/008537.html
Comment 4 James Antill 2011-08-23 10:30:49 EDT
I pushed the man page bits, but not the --help bits.
Comment 5 Marcelo Moreira de Mello 2011-08-23 10:55:10 EDT
(In reply to comment #4)
> I pushed the man page bits, but not the --help bits.

Hey James! Sounds good!!

 Thank you!
Comment 6 Fedora End Of Life 2012-08-07 14:36:47 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.